# Function insert

- insert(
  tbl: string,
  obj: Row,
  opts?: { ignoreExisting?: boolean; noid?: boolean },
  ): Promise<string | void>

  Insert rows into table

  #### Parameters

  - tbl: string

    table name

  - obj: Row

    columns names and data

  - `Optional` opts: { ignoreExisting?: boolean; noid?: boolean } = {}

    columns attributes

  #### Returns Promise<string | void>

  returns id.

  - Defined in sqlite/sqlite.ts:306